Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.eviware.soapui.impl.wsdl.support.assertions
Enum Assertable.AssertionStatus

    java.lang.Object
      java.lang.Enum<Assertable.AssertionStatus>
          com.eviware.soapui.impl.wsdl.support.assertions.Assertable.AssertionStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Assertable.AssertionStatus>

Enclosing interface:
  Assertable

    public static enum Assertable.AssertionStatus

extends java.lang.Enum<Assertable.AssertionStatus>

Enum Constant Summary
`FAILED`
`UNKNOWN`
`VALID`

Method Summary
`static Assertable.AssertionStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Assertable.AssertionStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final Assertable.AssertionStatus UNKNOWN

### VALID

    public static final Assertable.AssertionStatus VALID

### FAILED

    public static final Assertable.AssertionStatus FAILED

Method Detail

### values

    public static final Assertable.AssertionStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Assertable.AssertionStatus c : Assertable.AssertionStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Assertable.AssertionStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.